precision mediump float;

varying float signDist;
varying float startDistance;
varying vec2 pos;
varying vec2 a;
varying vec2 b;

uniform float dashLength;
uniform vec4 color;

void main()
{	
	//http://www.alecjacobson.com/weblog/?p=1486
	vec2 ab = b - a;
	vec2 ap = pos - a;
	float lAB = length(ab);
	float t = dot(ap, ab) / (lAB * lAB);
	vec2 q = a + t * ab;
	
	float distance = startDistance + length(a - q);
	
	if (mod(floor(distance / dashLength), 2.0) == 0.0)
	{		
		discard;
	}
	else 
	{					
		gl_FragColor = color;
		gl_FragColor.a = 1.0 - abs(signDist);
	}
		
}

