precision highp float;


attribute vec4 POSITION;
attribute vec4 LINE_INFO;
attribute vec2 SIGN_DISTANCE;


uniform vec4 en_pos;
uniform vec2 en_depthZoomScale;

varying float signDist;
varying float startDistance;
varying vec2 pos;
varying vec2 a;
varying vec2 b;


float MapRange(float fromMin, float fromMax, float toMin, float toMax, float s)
{
	return toMin + (s - fromMin) * (toMax - toMin) / (fromMax - fromMin);
}

void main()
{
	//float zoomScale = pow(2.0, en_zoom.y - en_zoom.x);


	signDist = SIGN_DISTANCE.x;	
	startDistance = SIGN_DISTANCE.y;
	
	a = LINE_INFO.xy;
	b = LINE_INFO.zw;
		
	pos = POSITION.xy + POSITION.zw * en_depthZoomScale.y;
	
	gl_Position.x = MapRange(0.0, 512.0, en_pos.x, en_pos.y, pos.x);
	gl_Position.y = MapRange(0.0, 512.0, en_pos.z, en_pos.w, pos.y);
	gl_Position.z = en_depthZoomScale.x;
	gl_Position.w = 1.0;

}