precision highp float;

__USER_DEFINES__

#define TEX2D(pos) texture2D(en_texModel, pos)

//======================================================================
//Skeleton for ventusky methods with 1 parametr
//only one input texture is used
// (basically all except wind)
//======================================================================



//varying vec2 vWorldPos; //pro projekce
varying vec2 reprojTx; //pro projekce


uniform vec4 minMaxStepOpacity;

uniform sampler2D en_texModel;
uniform sampler2D colorMap;

//uniform vec2 texSize;
uniform float enableInterpolation;





float ConvertPackedValue(__CONVERT_PACKED_VALUE_PARAM__) __CONVERT_PACKED_VALUE_FUNCTION__


vec4 GetUnpackedColor(float val)
{
	//problem.. tohle jde jen pro data zaokrouhleny na cela cisla :(
	//val = floor(val + 0.5);

	float intervalLength = (minMaxStepOpacity.y - minMaxStepOpacity.x);
	float tx = (val - minMaxStepOpacity.x) / intervalLength;
    
	
	//float halfPixelOffset = 0.0;// (1.0 / (0.5 * (intervalLength / minMaxStepOpacity.z)));

	//return vec4(tx * 500.0);// texture2D(colorMap, vec2(tx, 0.5));
	//half offset
	return texture2D(colorMap, vec2(tx, 0.5));
}

//#my_include "ventusky/ventusky_layer_reprojection.ps.glsl"
#my_include "ventusky/ventusky_layer_interpolations.ps.glsl"

//#ifdef NON_LINEAR

/*
float UnpackValue_BicubicInterpolation_NonLinearTexValues(vec2 iTc)
{

	vec2 f = vec2(0.0);

		
	vec2 tc0 = vec2(0.0);
	vec2 tc1 = vec2(0.0);
	vec2 tc2 = vec2(0.0);
	vec2 tc3 = vec2(0.0);

	vec2 w0 = vec2(0.0);
	vec2 w1 = vec2(0.0);
	vec2 w2 = vec2(0.0);
	vec2 w3 = vec2(0.0);

	BicubicTexCoord(iTc, f, tc0, tc1, tc2, tc3);
	BicubicWeights(f, w0, w1, w2, w3);
		
    float f00 = TEX2D( vec2( tc0.x, tc0.y ) ).r;
    float f10 = TEX2D( vec2( tc1.x, tc0.y ) ).r;
    float f20 = TEX2D( vec2( tc2.x, tc0.y ) ).r;
    float f30 = TEX2D( vec2( tc3.x, tc0.y ) ).r;
    
    float f01 = TEX2D( vec2( tc0.x, tc1.y ) ).r;
    float f11 = TEX2D( vec2( tc1.x, tc1.y ) ).r;
    float f21 = TEX2D( vec2( tc2.x, tc1.y ) ).r;
    float f31 = TEX2D( vec2( tc3.x, tc1.y ) ).r;
    
    float f02 = TEX2D( vec2( tc0.x, tc2.y ) ).r;
    float f12 = TEX2D( vec2( tc1.x, tc2.y ) ).r;
    float f22 = TEX2D( vec2( tc2.x, tc2.y ) ).r;
    float f32 = TEX2D( vec2( tc3.x, tc2.y ) ).r;
    
    float f03 = TEX2D( vec2( tc0.x, tc3.y ) ).r;
    float f13 = TEX2D( vec2( tc1.x, tc3.y ) ).r;
    float f23 = TEX2D( vec2( tc2.x, tc3.y ) ).r;
    float f33 = TEX2D( vec2( tc3.x, tc3.y ) ).r;
    
	//return ConvertPackedValue(f10 * 255.0);

	return (1.0 / 36.0) * (
		w0.y * (ConvertPackedValue(f00 * 255.0) * w0.x
			+ ConvertPackedValue(f10 * 255.0) * w1.x
			+ ConvertPackedValue(f20 * 255.0) * w2.x
			+ ConvertPackedValue(f30 * 255.0) * w3.x)

		+ w1.y * (ConvertPackedValue(f01 * 255.0) * w0.x
			+ ConvertPackedValue(f11 * 255.0) * w1.x
			+ ConvertPackedValue(f21 * 255.0) * w2.x
			+ ConvertPackedValue(f31 * 255.0) * w3.x)

		+ w2.y * (ConvertPackedValue(f02 * 255.0) * w0.x
			+ ConvertPackedValue(f12 * 255.0) * w1.x
			+ ConvertPackedValue(f22 * 255.0) * w2.x
			+ ConvertPackedValue(f32 * 255.0) * w3.x)

		+ w3.y * (ConvertPackedValue(f03 * 255.0) * w0.x
			+ ConvertPackedValue(f13 * 255.0) * w1.x
			+ ConvertPackedValue(f23 * 255.0) * w2.x
			+ ConvertPackedValue(f33 * 255.0) * w3.x)
        );
}


float UnpackValue_BilinearInterpolation_NonLinearTexValues(vec2 iTc)
{
	vec2 f = vec2(0.0);

	vec2 tc0 = vec2(0.0);
	vec2 tc1 = vec2(0.0);
	vec2 tc2 = vec2(0.0);
	vec2 tc3 = vec2(0.0);

	BilinearTexCoord(iTc, f, tc0, tc1, tc2, tc3);

	

    float f0 = TEX2D( tc0 ).r;
    float f1 = TEX2D( tc1 ).r;
    float f2 = TEX2D( tc2 ).r;
    float f3 = TEX2D( tc3 ).r;
    
    float unpackedValue0 = ConvertPackedValue(f0 * 255.0);
    float unpackedValue1 = ConvertPackedValue(f1 * 255.0);
    float unpackedValue2 = ConvertPackedValue(f2 * 255.0);
    float unpackedValue3 = ConvertPackedValue(f3 * 255.0);

	//compute the fractional offset from that texel center
    //to the actual coordinate we want to filter at
 
   
	//https://en.wikipedia.org/wiki/Bilinear_filtering
    //float v = (unpackedValue0 * (1.0 - f.x) + unpackedValue1 * f.x) * (1.0 - f.y) + 
	//		  (unpackedValue2 * (1.0 - f.x) + unpackedValue3 * f.x) * f.y;

	float tA = mix( unpackedValue0, unpackedValue1, f.x );
    float tB = mix( unpackedValue2, unpackedValue3, f.x );
    float v = mix( tA, tB, f.y );
	
	
	return v;
    
	
}
 */
//#else

float UnpackValue_BicubicInterpolation_LinearTexValues(vec2 iTc)
{
	vec2 f = vec2(0.0);
			
	vec2 tc0 = vec2(0.0);
	vec2 tc1 = vec2(0.0);
	vec2 tc2 = vec2(0.0);
	vec2 tc3 = vec2(0.0);

    vec4 wx = vec4(0.0);
    vec4 wy = vec4(0.0);
    
    BicubicTexCoord(iTc, f, tc0, tc1, tc2, tc3);
    BicubicWeights(f, wx, wy);

	
	float f00 = TEX2D(vec2(tc0.x, tc0.y)).r;
	float f10 = TEX2D(vec2(tc1.x, tc0.y)).r;
	float f20 = TEX2D(vec2(tc2.x, tc0.y)).r;
	float f30 = TEX2D(vec2(tc3.x, tc0.y)).r;

	float f01 = TEX2D(vec2(tc0.x, tc1.y)).r;
	float f11 = TEX2D(vec2(tc1.x, tc1.y)).r;
	float f21 = TEX2D(vec2(tc2.x, tc1.y)).r;
	float f31 = TEX2D(vec2(tc3.x, tc1.y)).r;

	float f02 = TEX2D(vec2(tc0.x, tc2.y)).r;
	float f12 = TEX2D(vec2(tc1.x, tc2.y)).r;
	float f22 = TEX2D(vec2(tc2.x, tc2.y)).r;
	float f32 = TEX2D(vec2(tc3.x, tc2.y)).r;

	float f03 = TEX2D(vec2(tc0.x, tc3.y)).r;
	float f13 = TEX2D(vec2(tc1.x, tc3.y)).r;
	float f23 = TEX2D(vec2(tc2.x, tc3.y)).r;
	float f33 = TEX2D(vec2(tc3.x, tc3.y)).r;
    
    vec4 cf0 = vec4(f00, f10, f20, f30);
    vec4 cf1 = vec4(f01, f11, f21, f31);
    vec4 cf2 = vec4(f02, f12, f22, f32);
    vec4 cf3 = vec4(f03, f13, f23, f33);
    
    return (1.0 / 36.0) * (
                           wy.x * dot(cf0, wx) +
                           wy.y * dot(cf1, wx) +
                           wy.z * dot(cf2, wx) +
                           wy.w * dot(cf3, wx)
                           );
    /*
	return  (1.0 / 36.0) * (w0.y * (f00 * w0.x +
				f10 * w1.x +
				f20 * w2.x +
				f30 * w3.x) +

		w1.y * (f01 * w0.x +
			f11 * w1.x +
			f21 * w2.x +
			f31 * w3.x) +

		w2.y * (f02 * w0.x +
			f12 * w1.x +
			f22 * w2.x +
			f31 * w3.x) +

		w3.y * (f03 * w0.x +
			f13 * w1.x +
			f23 * w2.x +
			f33 * w3.x));
     */
}


//#endif



void main()
{		
	
	float unpackedValue = 0.0;
	/*
    float packedValue = TEX2D(reprojTx).r;
    unpackedValue = ConvertPackedValue(packedValue * 255.0);
    
    //gl_FragColor.rgba = vec4(packedValue);
    //gl_FragColor.rgba = texture2D(colorMap, vec2(reprojTx.x, 0.5));
    gl_FragColor.rgba = vec4((unpackedValue - minMaxStepOpacity.x) / (minMaxStepOpacity.y - minMaxStepOpacity.x));
    //gl_FragColor.rg = reprojTx * 0.25;
    //gl_FragColor.b = 0.0;
    //gl_FragColor.rgba = vec4((unpackedValue - (-0.141176)) / 0.337255);
    //gl_FragColor.a *= minMaxStepOpacity.w;    //*= multiply opacity from "color map" with "user defined"
    gl_FragColor.a = 1.0;
    return;
    */
    

	if (enableInterpolation < 0.5)
	{
        float packedValue = TEX2D(reprojTx).r;
		unpackedValue = ConvertPackedValue(packedValue * 255.0);
	}
	else 
	{
#ifdef NON_LINEAR
	//for non-linear convert function, interpolation 
	//cannot be done on "texture" values, but must be done
	//on "unpacked" values
	//in this case, we must run interpolation manually

	#ifdef USE_BICUBIC
        #ifdef USE_LOW_QUALITY			
            unpackedValue = UnpackValue_BilinearInterpolation_NonLinearTexValues(reprojTx);
        #else
			unpackedValue = UnpackValue_BicubicInterpolation_NonLinearTexValues(reprojTx);
        #endif
	#else
		unpackedValue = UnpackValue_BilinearInterpolation_NonLinearTexValues(reprojTx);
	#endif
    

#else
	#ifdef USE_BICUBIC
		#ifdef USE_LOW_QUALITY
			float packedValue = TEX2D(reprojTx).r;
		#else
			float packedValue = UnpackValue_BicubicInterpolation_LinearTexValues(reprojTx);
		#endif
	#else
		float packedValue = TEX2D(reprojTx).r;
	#endif
        unpackedValue = ConvertPackedValue(packedValue * 255.0);
#endif
	}
	
	//unpackedValue = UnpackValue_BilinearInterpolation_NonLinearTexValues(vTexCoord);
    
	vec4 color = GetUnpackedColor(unpackedValue);
	gl_FragColor = color;
	gl_FragColor.a *= minMaxStepOpacity.w;	//*= multiply opacity from "color map" with "user defined"
	
	
	//gl_FragColor.x = 0.0;
	//gl_FragColor.y = 0.0;
	//gl_FragColor.z = 0.0;
	
	//vec2 gps = GetCoordinateFromWorldPos(vWorldPos);
	//gl_FragColor.x = (gps.x + DEG_TO_RAD(180.0)) / DEG_TO_RAD(360.0);
	//gl_FragColor.y = (gps.y + DEG_TO_RAD(90.0)) / DEG_TO_RAD(180.0);
	
	//vec2 pixel = EquirectangularProject(gps);
	//gl_FragColor.x = pixel.x;
	//gl_FragColor.y = pixel.y;
	

	//float packedValue = texture2D(en_texModel, pixel).r;
	//gl_FragColor.x = packedValue;

	//DEBUG
	//if ((vTexCoord.x < 0.001) || (vTexCoord.x > 0.999)) gl_FragColor.rgb = vec3(1);
	//if ((vTexCoord.y < 0.001) || (vTexCoord.y > 0.999)) gl_FragColor.rgb = vec3(1);
	
}
