precision highp float;

__USER_DEFINES__

#define TEX2D(pos) texture2D(en_texModel, pos)

//======================================================================
//Skeleton for ventusky methods with 2 parametr
//======================================================================


//varying vec2 vWorldPos; //pro projekce
varying vec2 reprojTx; //pro projekce


uniform vec4 minMaxStepOpacity;

uniform sampler2D en_texModel;
uniform sampler2D colorMap;


float ConvertPackedValue(__CONVERT_PACKED_VALUE_PARAM__) __CONVERT_PACKED_VALUE_FUNCTION__


//#my_include "ventusky/ventusky_layer_reprojection.ps.glsl"

vec4 GetUnpackedColor(float val)
{			
	float tx = (val - minMaxStepOpacity.x) / (minMaxStepOpacity.y - minMaxStepOpacity.x);
		
	return texture2D(colorMap, vec2(tx, 0.5));
}

void main()
{	
	
	float packedValueR = 0.0;
	float packedValueG = 0.0;
	float unpackedValue = 0.0;

	
	//vec2 reprojTx = FromEquirectangularToMercator(vWorldPos);

	
#ifdef GLES_2
    packedValueR = TEX2D(reprojTx).r;
    packedValueG = TEX2D(reprojTx).a;
#else
    packedValueR = TEX2D(reprojTx).r;
    packedValueG = TEX2D(reprojTx).g;
#endif

    /*
	#ifdef USE_BICUBIC	
		//DEBUG - not used bicubic for "wind"
		packedValueR = 2.0 * TEX2D(reprojTx).r;
		packedValueG = 2.0 * TEX2D(reprojTx).g;
	#else
		packedValueR = TEX2D(reprojTx).r;
		packedValueG = TEX2D(reprojTx).g;
	#endif
*/

	unpackedValue = ConvertPackedValue(packedValueR * 255.0, packedValueG * 255.0);
		
	vec4 color = GetUnpackedColor(unpackedValue);

	//color.r = 1.0;

	gl_FragColor = color;	
	gl_FragColor.a *= minMaxStepOpacity.w;		 //*= multiply opacity from "color map" with "user defined"
			
	//DEBUG
	//if ((vTexCoord.x < 0.01) || (vTexCoord.x > 0.99)) gl_FragColor.rgb = vec3(1);
	//if ((vTexCoord.y < 0.01) || (vTexCoord.y > 0.99)) gl_FragColor.rgb = vec3(1);	
}
