precision mediump float;

varying vec2 vTexCoord;
varying vec4 vScreenPos;


uniform sampler2D en_texModel;
uniform sampler2D en_texRtt;


void main()
{	
		
	vec4 rttColor = texture2D(en_texRtt, vScreenPos.xy);

#ifdef GLES_2
    vec2 colorAlpha = texture2D(en_texModel, vTexCoord).ra;
#else
    vec2 colorAlpha = texture2D(en_texModel, vTexCoord).rg;
#endif

	
	//https://learnopengl.com/#!Advanced-OpenGL/Blending
	//https://takinginitiative.wordpress.com/2010/04/09/directx-10-tutorial-6-transparency-and-alpha-blending/
	
	gl_FragColor.rgb = colorAlpha.xxx * colorAlpha.y + rttColor.rgb * (1.0 - colorAlpha.y);

	gl_FragColor.a = 1.0;	
			
	
	
}
